Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.campaign.mbeans
Interface CampaignServiceMBean

public interface CampaignServiceMBean
extends ServiceConfigurationMBean

CampaignService configuration management bean interface.

This expects to have 2 children: a `CampaignEventListenerMBean` and a `MailActionMBean`.

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`java.lang.String` | `getEmailBrowseBaseDir()` Get the per-webApp base directory for campaign email browsing.
`java.lang.String[]` | `getEmailURIExtensions()` Get the list of email uri extensions.
`long` | `getGoalCheckTime()` Get the goal check time in milliseconds.
`int` | `getMaxURILength()` Get the maximum length of a deployable campaign URI.
`void` | `setEmailBrowseBaseDir(java.lang.String base)` Get the per-webApp base directory for campaign email browsing.
`void` | `setEmailURIExtensions(java.lang.String[] exts)` Get the list of email uri extensions.
`void` | `setGoalCheckTime(long time)` Set the goal check time in milliseconds.
`void` | `setMaxURILength(int max)` Set the maximum length of a deployable campaign URI.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getAttributeStringValue, getNotes, getSetFields, getXml, getXmlConverter, isPersistenceEnabled, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getGoalCheckTime

    public long getGoalCheckTime()

  Get the goal check time in milliseconds.

  Old Property: campaign.goals.checkTime

### setGoalCheckTime

    public void setGoalCheckTime(long time)

  Set the goal check time in milliseconds.

  A dynamic MBean attribute
  Old Property: campaign.goals.checkTime

### getEmailBrowseBaseDir

    public java.lang.String getEmailBrowseBaseDir()

  Get the per-webApp base directory for campaign email browsing.

  Default Value: "campaigns/emails"

### setEmailBrowseBaseDir

    public void setEmailBrowseBaseDir(java.lang.String base)

  Get the per-webApp base directory for campaign email browsing.

  A dynamic MBean attribute

### getEmailURIExtensions

    public java.lang.String[] getEmailURIExtensions()

  Get the list of email uri extensions.

### setEmailURIExtensions

    public void setEmailURIExtensions(java.lang.String[] exts)

  Get the list of email uri extensions.

  A dynamic MBean attribute
  Legal NULL: false

### getMaxURILength

    public int getMaxURILength()

  Get the maximum length of a deployable campaign URI.

  Default Value: 254

### setMaxURILength

    public void setMaxURILength(int max)

  Set the maximum length of a deployable campaign URI.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved